public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/xsnow/
Date: Sun, 24 Jul 2016 11:54:39 +0000 (UTC)	[thread overview]
Message-ID: <1469361238.f966d5739580b59fcc675a813ed5e2761886e8eb.jer@gentoo> (raw)

commit:     f966d5739580b59fcc675a813ed5e2761886e8eb
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 24 11:53:58 2016 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sun Jul 24 11:53:58 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f966d573

x11-misc/xsnow: EAPI update.

Package-Manager: portage-2.3.0

 x11-misc/xsnow/xsnow-1.42-r2.ebuild | 46 +++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/x11-misc/xsnow/xsnow-1.42-r2.ebuild b/x11-misc/xsnow/xsnow-1.42-r2.ebuild
new file mode 100644
index 0000000..d337512
--- /dev/null
+++ b/x11-misc/xsnow/xsnow-1.42-r2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit toolchain-funcs
+
+DESCRIPTION="let it snow on your desktop and windows"
+HOMEPAGE="http://dropmix.xs4all.nl/rick/Xsnow/"
+SRC_URI="${HOMEPAGE}${P}.tar.gz"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+RDEPEND="
+	x11-libs/libX11
+	x11-libs/libXt
+	x11-libs/libXext
+	x11-libs/libXpm
+"
+DEPEND="
+	${RDEPEND}
+	app-text/rman
+	x11-misc/imake
+	x11-misc/gccmakedep
+	x11-proto/xextproto
+	x11-proto/xproto
+"
+
+src_compile() {
+	xmkmf || die
+	make depend || die
+	emake \
+		CC="$(tc-getCC)" \
+		CDEBUGFLAGS="${CFLAGS}" \
+		LOCAL_LDFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+	dobin xsnow
+	rman -f HTML < xsnow._man > xsnow.1-html || die
+	newman xsnow._man xsnow.1
+	newdoc xsnow.1-html xsnow.1.html
+	dodoc README
+}


             reply	other threads:[~2016-07-24 11:54 UTC|newest]

Thread overview: 57+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-07-24 11:54 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2017-03-20 11:04 [gentoo-commits] repo/gentoo:master commit in: x11-misc/xsnow/ Agostino Sarubbo
2017-03-21 10:08 Michael Weber
2017-03-21 14:34 Agostino Sarubbo
2017-03-22  7:30 Michael Weber
2017-05-12 14:55 Agostino Sarubbo
2017-05-13 12:15 Jeroen Roovers
2017-05-13 12:17 Jeroen Roovers
2020-01-13 10:07 David Seifert
2020-12-01 17:29 Andreas K. Hüttel
2020-12-02 22:39 Sam James
2020-12-02 23:31 Thomas Deutschmann
2020-12-04 18:31 Sergei Trofimovich
2020-12-13 12:06 Sergei Trofimovich
2020-12-17 12:48 Sam James
2021-01-21 20:59 Andreas K. Hüttel
2021-01-21 20:59 Andreas K. Hüttel
2021-02-28 21:35 Sam James
2021-02-28 21:37 Sam James
2021-02-28 21:37 Sam James
2021-02-28 23:22 Sam James
2021-03-02  2:32 Sam James
2021-04-10  9:58 Andreas K. Hüttel
2021-04-10  9:58 Andreas K. Hüttel
2022-02-07  6:32 Sam James
2022-02-28 23:59 Sam James
2022-03-01  9:44 Jakov Smolić
2022-03-01 11:29 Agostino Sarubbo
2022-03-02  3:44 Sam James
2022-03-12 13:17 Arthur Zamarin
2022-10-03 18:43 Andreas K. Hüttel
2022-10-03 18:43 Andreas K. Hüttel
2022-12-20 18:59 Florian Schmaus
2022-12-20 18:59 Florian Schmaus
2022-12-20 18:59 Florian Schmaus
2022-12-21 10:07 Florian Schmaus
2023-04-02 13:15 Andreas K. Hüttel
2023-04-02 13:15 Andreas K. Hüttel
2023-04-02 16:30 Sam James
2023-04-02 16:30 Sam James
2023-04-02 17:33 Sam James
2023-04-02 17:33 Sam James
2023-04-29 17:43 Arthur Zamarin
2023-06-03 11:15 Arthur Zamarin
2023-06-09 15:06 Arthur Zamarin
2023-09-18 10:00 Florian Schmaus
2023-09-18 10:02 Florian Schmaus
2024-12-02 14:50 Sam James
2024-12-08 20:06 Arthur Zamarin
2024-12-13  8:25 Florian Schmaus
2024-12-13  8:25 Florian Schmaus
2024-12-14 15:24 Florian Schmaus
2024-12-23 23:47 Jakov Smolić
2024-12-28 11:46 Arthur Zamarin
2025-03-08 14:25 Sam James
2025-03-08 15:01 Arthur Zamarin
2025-03-08 16:42 Arthur Zamarin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1469361238.f966d5739580b59fcc675a813ed5e2761886e8eb.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox